#include<bits/stdc++.h>
using namespace std;

int main()
{
    string T;
    cin >> T;
    int n = T.length();//T[n-1] je poslednji character
    for(int i = 0; i < n/2;i++)
    {
        if(T[i] == T[n-1-i]) continue;
    }
    cout << 1;
}